crashpad::MinidumpUserExtensionStreamDataSource Class Referenceabstract

Describes a user extension data stream in a minidump. More...

`#include "minidump/minidump_user_extension_stream_data_source.h"`

Inheritance diagram for crashpad::MinidumpUserExtensionStreamDataSource:

## Classes

class | Delegate
| An interface implemented by readers of MinidumpUserExtensionStreamDataSource. More...

## Public Member Functions

| MinidumpUserExtensionStreamDataSource (uint32_t stream_type)
| Constructs a MinidumpUserExtensionStreamDataSource. More...
MinidumpStreamType | stream_type () const
virtual size_t | StreamDataSize ()=0
| The size of this data stream.
virtual bool | ReadStreamData (Delegate *delegate)=0
| Calls Delegate::UserStreamDataSourceRead(), providing it with the stream data. More...

## Detailed Description

Describes a user extension data stream in a minidump.

## Constructor & Destructor Documentation

## MinidumpUserExtensionStreamDataSource()

crashpad::MinidumpUserExtensionStreamDataSource::MinidumpUserExtensionStreamDataSource | ( | uint32_t | stream_type | ) |

explicit

Constructs a MinidumpUserExtensionStreamDataSource.

Parameters

  [in] | stream_type | The type of the user extension stream.

## Member Function Documentation

## ReadStreamData()

virtual bool crashpad::MinidumpUserExtensionStreamDataSource::ReadStreamData | ( | Delegate * | delegate | ) |

pure virtual

Calls Delegate::UserStreamDataSourceRead(), providing it with the stream data.

Implementations do not necessarily compute the stream data prior to this method being called. The stream data may be computed or loaded lazily and may be discarded after being passed to the delegate.

Returns
  `false` on failure, otherwise, the return value of Delegate::ExtensionStreamDataSourceRead(), which should be `true` on success and `false` on failure.

Implemented in crashpad::test::BufferExtensionStreamDataSource.

The documentation for this class was generated from the following files:

- minidump/minidump_user_extension_stream_data_source.h
- minidump/minidump_user_extension_stream_data_source.cc